#!/bin/sh
#
# Compare summain with md5sum and sha1sum for correctness (not speed).
#
# Copyright 2006 Lars Wirzenius <liw@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

makedata() {
    dd if=/dev/urandom bs=1024 count=1 2>/dev/null
}


tempdata=$(mktemp)
tempsummain=$(mktemp)
temptool=$(mktemp)

makedata > $tempdata

python summain.py -qa md5 $tempdata > $tempsummain
md5sum $tempdata > $temptool
if ! diff $tempsummain $temptool
then
    echo "summain and md5sum create different output" 1>&2
    exit 1
fi

python summain.py -qa sha1 $tempdata > $tempsummain
sha1sum $tempdata > $temptool
if ! diff $tempsummain $temptool
then
    echo "summain and sha1sum create different output" 1>&2
    exit 1
fi

rm -f $tempdata $temptool $tempsummain
